Subject: AW: No output on stdout
From: "Quoss, Clemens" <[email-masked]>
To: "'Robinow, David'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Wed, 9 May 2001 14:25:40 +0200

Hallo David,

thanks a lot. Out of a habit,
I always call my programs 'test'.
So - thats the problem!

I tried 'type test'.
-> test is a shell builtin (OK!)

I tried 'type test.exe'
-> test.exe is hashed (/usr/bin/test.exe) (OK!)

I ran ./test.exe
Now he's picking my program and I get my long 
awaited for output!

Again, thanks a lot, David!

Bye

Clemens

P.S. I think I should switch to calling my test
programs cqtest.c in the future.

-----Ursprüngliche Nachricht-----
Von: Robinow, David [mailto:[email-masked]]
Gesendet am: Mittwoch, 9. Mai 2001 14:05
An: 'Quoss, Clemens'
Betreff: RE: No output on stdout

You don't say how you compiled your program. You didn't call it "test" did
you?
 Assuming you named it "abc", type
    type abc
 in a bash window and see if there's another abc executable in your path.
try   ./abc to make sure your running the right executable.

> -----Original Message-----
> From: Quoss, Clemens [mailto:[email-masked]]
> Sent: Wednesday, May 09, 2001 4:04 AM
> To: [email-masked]'
> Subject: No output on stdout
> 
> 
> Hello,
> 
> when I compile a very simple C program like the one below with gcc
> under Cygwin and then run it in bash, I don't get an output on the
> console window.
> 
> When I run the same executable under a DOS Shell in Windows
> NT or 98, I get the 'Hello, Cygwin!' line.
> 
> Is there anything I overlooked on setup (I did set CYGWIN
> to 'tty notitle glob' like mentioned in the User's guide)?
> Anything else that prevents the stdout to be shown 
> on console?
> 
> TIA
> 
> Bye
> 
> Clemens Quoss
> 
> The C program:
> 
> #include <stdio.h>
> #include <stdlib.h>
> 
> int main(void) {
> 
>   printf("Hello, Cyqwin!\n");
>   return 0;
> 
> } // main

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple